Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JEditorPane.JEditorPaneAccessibleHypertextSupport

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.text.JTextComponent.AccessibleJTextComponent
                        |
                        +--javax.swing.JEditorPane.AccessibleJEditorPane
                              |
                              +--javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport

protected class JEditorPane.JEditorPaneAccessibleHypertextSupport
extends JEditorPane.AccessibleJEditorPane
implements AccessibleHypertext

What's returned by AccessibleJEditorPaneHTML.getAccessibleText() Provides support for AccessibleHypertext in case there is an HTML document being displayed in this JEditorPane.

See Also:
  Serialized Form

Inner Class Summary
`class` | `JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink`

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JEditorPane.JEditorPaneAccessibleHypertextSupport()` Make one of these puppies

Method Summary
`AccessibleHyperlink` | `getLink(int linkIndex)` Returns the index into an array of hyperlinks that index.
`int` | `getLinkCount()` Returns the number of links within this hypertext doc.
`int` | `getLinkIndex(int charIndex)` Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
`java.lang.String` | `getLinkText(int linkIndex)` Returns the contiguous text within the document that is associated with this hyperlink.

Methods inherited from class javax.swing.JEditorPane.AccessibleJEditorPane
`getAccessibleDescription, getAccessibleStateSet`

Methods inherited from class javax.swing.text.JTextComponent.AccessibleJTextComponent
`caretUpdate, changedUpdate, getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, insertUpdate, removeUpdate`

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleSelection, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEditorPane.JEditorPaneAccessibleHypertextSupport

    public JEditorPane.JEditorPaneAccessibleHypertextSupport()

  Make one of these puppies

Method Detail

### getLinkCount

    public int getLinkCount()

  Returns the number of links within this hypertext doc.
  Specified by:
    getLinkCount in interface AccessibleHypertext
  Returns:
    number of links in this hypertext doc.

### getLinkIndex

    public int getLinkIndex(int charIndex)

  Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
  Specified by:
    getLinkIndex in interface AccessibleHypertext
  Parameters:
    `character` - index within the text
  Returns:
    index into the set of hyperlinks for this hypertext doc.

### getLink

    public AccessibleHyperlink getLink(int linkIndex)

  Returns the index into an array of hyperlinks that index. If there is no hyperlink at this index, it returns null.
  Specified by:
    getLink in interface AccessibleHypertext
  Parameters:
    `index` - into the set of hyperlinks for this hypertext doc.
  Returns:
    string representation of the hyperlink

### getLinkText

    public java.lang.String getLinkText(int linkIndex)

  Returns the contiguous text within the document that is associated with this hyperlink.
  Parameters:
    `index` - into the set of hyperlinks for this hypertext doc.
  Returns:
    the contiguous text sharing the link at this index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.